## python-django-openstack-auth 3.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
Django<1.9,>=1.8 # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-django-openstack-auth (3.1.1-1) unstable; urgency=medium

  * Edit debian/control to match requirements

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 05 Dec 2017 16:21:18 +0100

python-django-openstack-auth (2.4.1-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:05:28 +0100

python-django-openstack-auth (2.4.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/debian/patches/fix-django-1.10-compat.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 15:32:28 -0400

=== debian/control ===
Source: python-django-openstack-auth
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage,
                     python-django (>= 1.8),
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python3-babel (>= 2.3.4),
                     python3-django (>= 1.8),
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-mox3,
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.policy (>= 1.17.0),
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
Standards-Version: 3.9.8
Vcs-Git: https://git.openstack.org/openstack/deb-python-django-openstack-auth -b debian/newton
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-django-openstack-auth?h=debian%2Fnewton
Homepage: https://pypi.python.org/pypi/django_openstack_auth

Package: python-django-openstack-auth
Architecture: all
Depends: python-django (>= 1.8),
         python-keystoneauth1 (>= 2.18.0),
         python-keystoneclient (>= 1:3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.policy (>= 1.17.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python3-keystoneauth1 (>= 2.18.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-openstack-auth (<= 2.0.0-2),
Replaces: python-openstack-auth (<= 2.0.0-2),
Provides: python-openstack-auth,
          ${python:Provides},
Description: Django authentication backend for Openstack - Python 2.7
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 2.7 module.

Package: python-openstack-auth
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-django-openstack-auth,
         ${misc:Depends},
Description: Django authentication backend for Openstack - transition package
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This is a transitional package to upgrade to python-django-openstack-auth,
 and it is safe to remove.

Package: python3-django-openstack-auth
Architecture: all
Depends: python3-django (>= 1.8),
         python3-keystoneauth1 (>= 2.18.0),
         python3-keystoneclient (>= 1:3.8.0),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.policy (>= 1.17.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Provides: ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3.x
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/django_openstack_auth.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e ; for pyversion in 2.7 $(PYTHON3S) ; do \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		PYTHONPATH=. python$$pyversion openstack_auth/tests/run_tests.py ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -f AUTHORS
	rm -f ChangeLog


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-django-openstack-auth 3.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Django<2.0,>=1.8 # BSD
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
keystoneauth1>=2.21.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-django-openstack-auth (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Works with Django 1.11 (Closes: #865799).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 21:25:04 +0000

python-django-openstack-auth (3.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Removed transition package.
  * Switch to debhelper 10.
  * Running tests also with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Oct 2017 23:33:44 +0200

=== debian/control ===
Source: python-django-openstack-auth
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-django,
 python-hacking,
 python-keystoneauth1 (>= 2.21.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock,
 python-mox3,
 python-openstackdocstheme (>= 1.11.0),
 python-oslo.config (>= 1:4.0.0),
 python-oslo.policy (>= 1.23.0),
 python-six,
 python-testscenarios,
 python3-babel,
 python3-django,
 python3-keystoneauth1 (>= 2.21.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock,
 python3-mox3,
 python3-oslo.config (>= 1:4.0.0),
 python3-oslo.policy (>= 1.23.0),
 python3-six,
 python3-testscenarios,
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-django-openstack-auth.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-django-openstack-auth.git
Homepage: https://pypi.python.org/pypi/django_openstack_auth

Package: python-django-openstack-auth
Architecture: all
Depends:
 python-django,
 python-keystoneauth1 (>= 2.21.0),
 python-keystoneclient (>= 1:3.8.0),
 python-oslo.config (>= 1:4.0.0),
 python-oslo.policy (>= 1.23.0),
 python-pbr (>= 2.0.0),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 python-openstack-auth (<= 2.0.0-2),
Replaces:
 python-openstack-auth (<= 2.0.0-2),
Provides:
 python-openstack-auth,
 ${python:Provides},
Description: Django authentication backend for Openstack - Python 2.7
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 2.7 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-django,
 python3-keystoneauth1 (>= 2.21.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.config (>= 1:4.0.0),
 python3-oslo.policy (>= 1.23.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3.x
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3.x module.
